Bug 1856

Summary: Wrong stack trace when exception is re-thrown
Product: [Mono] Runtime Reporter: Marek Safar <masafa>
Component: JITAssignee: Alexander Kyte <alexander.kyte>
Status: RESOLVED FIXED    
Severity: normal CC: alexander.kyte, mono-bugs+mono
Priority: ---    
Version: unspecified   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Tags: Is this bug a regression?: ---
Last known good build:

Description Marek Safar 2011-11-03 10:54:02 UTC
using System;

class C
{
	static Exception e;
	
	static void Throw ()
	{
		try {
			int.Parse (null);
		} catch (Exception ex) {
			e = ex;
		}
	}
	
	public static void Main ()
	{
		Throw ();
		
		try {
			throw e;
		} catch (Exception ex) {
			Console.WriteLine (ex.StackTrace);
		}
	}
}

.NET
   at C.Main()

Mono
  at System.Int32.Parse (System.String s) [0x00000] in <filename unknown>:0 
  at C.Throw () [0x00000] in <filename unknown>:0